Bug 589473 - parted should recognize msdos partition id 27h as a diagnostics partition
Summary: parted should recognize msdos partition id 27h as a diagnostics partition
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: parted   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Hans de Goede
QA Contact: Martin Banas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 09:10 UTC by Hans de Goede
Modified: 2010-07-02 19:41 UTC (History)
2 users (show)

Fixed In Version: parted-2.1-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589451
Environment:
Last Closed: 2010-07-02 19:41:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2010-05-06 09:10:23 UTC
+++ This bug was initially created as a clone of Bug #589451 +++

Microsoft recommends using id 27 for recovery partitions:
http://technet.microsoft.com/en-us/library/dd744364%28WS.10%29.aspx

And anaconda depends on parted to identify these partitions as such, so as to keep them out of grub.conf (see bug 534066).

However parted currently does not recognize an id of 27 as a diagnostics partition, that needs to be fixed.

Comment 1 Hans de Goede 2010-05-06 09:21:37 UTC
Note to QA: to test, create a msdos partition table with fdisk with a partition with an id of 27, then do
parted /dev/sda p

The output should show "diag" in the flags column.

Comment 2 RHEL Product and Program Management 2010-05-06 09:35:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Hans de Goede 2010-05-06 18:18:34 UTC
This is fixed in parted-2.1-8.el6, moving to modified.

Comment 6 Martin Banas 2010-05-14 06:38:15 UTC
Verified on build RHEL6.0-20100512.0 with parted-2.1-8.el6.

/dev/sda6 has ID of 27:
[root@ibm-js20-6 ~]# fdisk /dev/sda -l

   Device Boot      Start         End      Blocks   Id  System
/dev/sda6            4412        4864     3636192+  27  Unknown

parted shows it with DIAG flag:
[root@ibm-js20-6 ~]# parted /dev/sda print
Partition Table: msdos

Number  Start   End     Size    Type      File system     Flags
 6      36.3GB  40.0GB  3723MB  logical                   diag


Closing as VERIFIED.

Comment 7 releng-rhel@redhat.com 2010-07-02 19:41:26 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.